Skip to main content
`Ctrl`+`K`

# where_not_allclose

astropy.utils.diff.where_not_allclose(a, b, rtol=1e-05, atol=1e-08, return_maxdiff=False)

  A version of `numpy.allclose()` that returns the indices where the two arrays differ, instead of just a boolean value.

  Parameters:
    a, b numpy:array_like

      Input arrays to compare.

    rtol, atol `python:float`

      Relative and absolute tolerances as accepted by `numpy.allclose()`.

    return_maxdiff bool

      Return the maximum of absolute and relative differences.

  Returns:
    idx `python:tuple` of `array`

      Indices where the two arrays differ.

    max_absolute `python:float`

      Maximum of absolute difference, returned if `return_maxdiff=True`.

    max_relative `python:float`

      Maximum of relative difference, returned if `return_maxdiff=True`.